libzypp 17.38.15

ResStatus.h File Reference
`#include <inttypes.h>`
`#include <iosfwd>`
`#include <zypp/Bit.h>`
`#include <zypp-core/Globals.h>`

Go to the source code of this file.

## Classes
class | zypp::ResStatus
| Status bitfield. More...
class | zypp::resstatus::StatusBackup

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::resstatus

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const ResStatus &obj)
| relates: ResStatus Stream output
std::ostream & | zypp::operator<< (std::ostream &str, ResStatus::TransactValue obj) ZYPP_API
| relates: ResStatus Stream output
std::ostream & | zypp::operator<< (std::ostream &str, ResStatus::TransactByValue obj) ZYPP_API
| relates: ResStatus Stream output
bool | zypp::operator== (const ResStatus &lhs, const ResStatus &rhs)
| relates: ResStatus
bool | zypp::operator!= (const ResStatus &lhs, const ResStatus &rhs)
| relates: ResStatus